21.18. changeOrganization
指定したユーザーの情報を更新します。
PUT /api/v1/superuser/organizations/{name}
認可: oauth2_implicit (super:user)
パスパラメーター
| 型 | 名前 | 説明 | スキーマ |
|---|---|---|---|
| path |
name | 管理する組織の名前 | string |
要求の body スキーマ (application/json)
既存組織の更新の説明
| 名前 | 説明 | スキーマ |
|---|---|---|
|
email | 組織の連絡先メール | string |
|
invoice_email | 組織が請求書のメールを受信する必要があるかどうか。 | boolean |
|
invoice_email_address | 請求書を受信するメールアドレス | |
|
tag_expiration_s | タグの有効期限 (秒) | integer |
レスポンス
| HTTP コード | 説明 | スキーマ |
|---|---|---|
| 200 | 正常な呼び出し | |
| 400 | Bad Request (不適切な要求) | |
| 401 | セッションが必要 | |
| 403 | 不正アクセス | |
| 404 | 見つからない |
コマンドの例
$ curl -X PUT \
-H "Authorization: Bearer <bearer_token>" \
-H "Content-Type: application/json" \
-d '{
"email": "<contact_email>",
"invoice_email": <boolean_value>,
"invoice_email_address": "<invoice_email_address>",
"tag_expiration_s": <expiration_seconds>
}' \
"https://<quay_server>/api/v1/superuser/organizations/<organization_name>"